#
# spec file for package rubygem-rice
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rice
Version:        4.0.4
Release:        1.5
%define mod_name rice
%define mod_full_name %{mod_name}-%{version}
# MANUAL
Source2:        rice-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/jasonroelofs/rice
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby Interface for C++ Extensions
License:        MIT
Group:          Development/Languages/Ruby

%description
Rice is a C++ interface to Ruby's C API. It provides a type-safe and
exception-safe interface in order to make embedding Ruby and writing
Ruby extensions with C++ easier.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md COPYING README.md" \
  -f

%gem_packages

%changelog
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.4
  see installed CHANGELOG.md
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.3
  see installed CHANGELOG.md
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.2
  no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.0
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  no changelog found
- Make build work with ruby2.7
* Fri Jun 14 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add rice-rpmlintrc to src.rpm
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.3
  no changelog found
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 2.1.2
  no changelog found
* Wed Mar 22 2017 coolo@suse.com
- updated to version 2.1.1
  no changelog found
* Thu Mar 16 2017 bwiedemann@suse.com
- update with gem2rpm.yml
* Mon Jan 23 2017 bwiedemann@suse.com
- drop useless build files containing buildroot
  that confuse build-compare
* Sun May 17 2015 ms@suse.com
- Update to version 1.7.0
- Fixed gcc type cast bugs
- Fixed gem bundle for ruby 2.2
* Tue Feb 10 2015 schwab@suse.de
- Fix architecture name
- Don't package autoconf cache
- Unpack sources to update config.guess
* Tue Dec 30 2014 ms@suse.com
- build gem version 1.6.3
